﻿using System;
using System.Threading.Tasks;
using Microsoft.Owin;
using Owin;
using Microsoft.Owin.Security.Cookies;
using Microsoft.AspNet.Identity;

[assembly: OwinStartup(typeof(SignetTokenTestWeb.App_Start.StartupAuth))]

namespace SignetTokenTestWeb.App_Start
{
    public class StartupAuth
    {
        public void Configuration(IAppBuilder app)
        {
            // For more information on how to configure your application, visit http://go.microsoft.com/fwlink/?LinkID=316888-
            app.UseCookieAuthentication(new CookieAuthenticationOptions
            {
                AuthenticationType = DefaultAuthenticationTypes.ApplicationCookie,
                LoginPath = new PathString("/Authed/Login"),
                ExpireTimeSpan = new System.TimeSpan(1, 0, 0),
                SlidingExpiration = true
            });
        }
    }
}
