﻿using SignetTokenTestWeb.SignetReference;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace SignetTokenTestWeb.Models
{
    public class AddRequest
    {
        public byte[] DocumentBytes { get; set; }
        public string DocumentString { get; set; }
        public string DocumentName { get; set; }
        public string DocumentNotes { get; set; }
        public string Metadata { get; set; }
        public DateTime? StartSigning { get; set; }
        public DateTime? EndSigning { get; set; }
        public bool Ordered { get; set; }
        public bool Notify { get; set; }
        public int MininumSigners { get; set; }
        public DocumentSigner[] Signers { get; set; }
        public string Reason { get; set; }
    }
}